Update the current user's name
PATCH
/auth/v1/users/current/nameUpdates the authenticated user's full name to the provided value.
Authorization
Bearer Authorization<token>
In: header
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/internal_auth.updateNameBody",
"$ref-value": {
"properties": {
"full_name": {
"maxLength": 30,
"type": "string"
}
},
"required": [
"full_name"
],
"type": "object"
}
}Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/authv1.UpdateNameResponse",
"$ref-value": {
"properties": {
"first_name": {
"type": "string"
},
"last_name": {
"type": "string"
}
},
"type": "object"
}
}curl -X PATCH "https://api.rixl.com/auth/v1/users/current/name" \
-H "Content-Type: application/json" \
-d '{
"full_name": "string"
}'OK
application/json
{
"$ref": "#/components/schemas/authv1.UpdateNameResponse",
"$ref-value": {
"properties": {
"first_name": {
"type": "string"
},
"last_name": {
"type": "string"
}
},
"type": "object"
}
}